Table of Contents

## Name

pthread_equal - compare two thread identifiers

## Synopsis

#include <pthread.h>

int pthread_equal(pthread_t thread1, pthread_t thread2);

## Description

pthread_equal determines if two thread identifiers refer to the same thread.

## Return Value

A non-zero value is returned if thread1 and thread2 refer to the same thread. Otherwise, 0 is returned.

## Author

Xavier Leroy <Xavier.Leroy@inria.fr>

## See Also

pthread_self(3) .

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- Author
- See Also